---
apiVersion: "v1"
kind: "List"
items:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
      fabric8.io/git-branch: "release-v0.1.0"
      fabric8.io/build-id: "5"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/5"
    labels:
      provider: "fabric8"
      project: "zipkin-starter-minimal"
      version: "0.1.0"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter-minimal"
    name: "zipkin-mysql"
  spec:
    ports:
    - port: 3306
      protocol: "TCP"
      targetPort: 3306
    selector:
      project: "zipkin-starter-minimal"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
      fabric8.io/git-branch: "release-v0.1.0"
      fabric8.io/build-id: "5"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/5"
    labels:
      provider: "fabric8"
      project: "zipkin-starter-minimal"
      version: "0.1.0"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter-minimal"
    name: "zipkin-query"
  spec:
    ports:
    - port: 9411
      protocol: "TCP"
      targetPort: 9411
    selector:
      project: "zipkin-starter-minimal"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
    type: "LoadBalancer"
- apiVersion: "extensions/v1beta1"
  kind: "Deployment"
  metadata:
    annotations:
      fabric8.io/git-commit: "7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter-minimal&var-version=0.1.0"
      fabric8.io/git-branch: "release-v0.1.0"
      fabric8.io/build-id: "5"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/5"
    labels:
      provider: "fabric8"
      project: "zipkin-starter-minimal"
      version: "0.1.0"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter-minimal"
    name: "zipkin-mysql"
  spec:
    replicas: 1
    selector:
      matchLabels:
        provider: "fabric8"
        project: "zipkin-starter-minimal"
        group: "io.fabric8.zipkin"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter-minimal&var-version=0.1.0"
          fabric8.io/build-id: "5"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/5"
          fabric8.io/git-branch: "release-v0.1.0"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
        labels:
          provider: "fabric8"
          project: "zipkin-starter-minimal"
          version: "0.1.0"
          group: "io.fabric8.zipkin"
          package: "zipkin-starter-minimal"
      spec:
        containers:
        - env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/zipkin-mysql:0.1.0"
          name: "zipkin-mysql"
          readinessProbe:
            initialDelaySeconds: 5
            tcpSocket:
              port: 3306
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
- apiVersion: "extensions/v1beta1"
  kind: "Deployment"
  metadata:
    annotations:
      fabric8.io/git-commit: "7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter-minimal&var-version=0.1.0"
      fabric8.io/git-branch: "release-v0.1.0"
      fabric8.io/build-id: "5"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/5"
    labels:
      provider: "fabric8"
      project: "zipkin-starter-minimal"
      version: "0.1.0"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter-minimal"
    name: "zipkin-query"
  spec:
    replicas: 1
    selector:
      matchLabels:
        provider: "fabric8"
        project: "zipkin-starter-minimal"
        group: "io.fabric8.zipkin"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter-minimal&var-version=0.1.0"
          fabric8.io/build-id: "5"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/5"
          fabric8.io/git-branch: "release-v0.1.0"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/7c0b2d2690bbfbe83f5428691af76ed0b553ddcd"
        labels:
          provider: "fabric8"
          project: "zipkin-starter-minimal"
          version: "0.1.0"
          group: "io.fabric8.zipkin"
          package: "zipkin-starter-minimal"
      spec:
        containers:
        - env:
          - name: "STORAGE_PORT_9042_TCP_ADDR"
            value: "zipkin-cassandra:9411"
          - name: "STORAGE_PORT_3306_TCP_ADDR"
            value: "zipkin-mysql:3306"
          - name: "STORAGE_TYPE"
            value: "mysql"
          - name: "TRANSPORT_TYPE"
            value: "http"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "openzipkin/zipkin-query:1.39.3"
          name: "zipkin-query"
          readinessProbe:
            httpGet:
              path: "/api/v1/services"
              port: 9411
            initialDelaySeconds: 5
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
